Bug 1122023 - semanage fcontext prints wrong error message when non-existing context given
Summary: semanage fcontext prints wrong error message when non-existing context given
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils
Version: 6.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Eduard Benes
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:43 UTC by Michal Trunecka
Modified: 2014-10-14 08:04 UTC (History)
3 users (show)

Fixed In Version: policycoreutils-2.0.83-19.47.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 08:04:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1569 normal SHIPPED_LIVE policycoreutils bug fix update 2014-10-14 01:27:36 UTC

Description Michal Trunecka 2014-07-22 11:43:53 UTC
Description of problem:

When running semanage fcontext with incorrect selinux type, the error message says it must be a port type, which doesn't make sense with fcontext.

# semanage fcontext -m -N -t non_existing_t /test1
/usr/sbin/semanage: Type non_existing_t is invalid, must be a port type


Version-Release number of selected component (if applicable):
policycoreutils-2.0.83-19.45.el6.x86_64

Comment 1 Daniel Walsh 2014-08-04 21:59:10 UTC
eab61be3dae4713741b0ff4800f83bb1754967aa fixes this in git.

Comment 2 RHEL Product and Program Management 2014-08-05 03:40:07 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 8 errata-xmlrpc 2014-10-14 08:04:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1569.html


Note You need to log in before you can comment on or make changes to this bug.